<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XMobility StructType
 * @subpackage Structs
 */
class XMobility extends AbstractStructBase
{
    /**
     * The handoffNumber
     * @var string
     */
    public $handoffNumber;
    /**
     * The handoffPartitionName
     * Meta information extracted from the WSDL
     * - documentation: Default Partition would be Null in case not specified.
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $handoffPartitionName;
    /**
     * The DTMFNumber
     * @var string
     */
    public $DTMFNumber;
    /**
     * The DTMFPartitionName
     * Meta information extracted from the WSDL
     * - documentation: Default Partition would be Null in case not specified.
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $DTMFPartitionName;
    /**
     * Constructor method for XMobility
     * @uses XMobility::setHandoffNumber()
     * @uses XMobility::setHandoffPartitionName()
     * @uses XMobility::setDTMFNumber()
     * @uses XMobility::setDTMFPartitionName()
     * @param string $handoffNumber
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $handoffPartitionName
     * @param string $dTMFNumber
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $dTMFPartitionName
     */
    public function __construct($handoffNumber = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $handoffPartitionName = null, $dTMFNumber = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $dTMFPartitionName = null)
    {
        $this
            ->setHandoffNumber($handoffNumber)
            ->setHandoffPartitionName($handoffPartitionName)
            ->setDTMFNumber($dTMFNumber)
            ->setDTMFPartitionName($dTMFPartitionName);
    }
    /**
     * Get handoffNumber value
     * @return string|null
     */
    public function getHandoffNumber()
    {
        return $this->handoffNumber;
    }
    /**
     * Set handoffNumber value
     * @param string $handoffNumber
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XMobility
     */
    public function setHandoffNumber($handoffNumber = null)
    {
        $this->handoffNumber = $handoffNumber;
        return $this;
    }
    /**
     * Get handoffPartitionName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getHandoffPartitionName()
    {
        return $this->handoffPartitionName;
    }
    /**
     * Set handoffPartitionName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $handoffPartitionName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XMobility
     */
    public function setHandoffPartitionName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $handoffPartitionName = null)
    {
        $this->handoffPartitionName = $handoffPartitionName;
        return $this;
    }
    /**
     * Get DTMFNumber value
     * @return string|null
     */
    public function getDTMFNumber()
    {
        return $this->DTMFNumber;
    }
    /**
     * Set DTMFNumber value
     * @param string $dTMFNumber
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XMobility
     */
    public function setDTMFNumber($dTMFNumber = null)
    {
        $this->DTMFNumber = $dTMFNumber;
        return $this;
    }
    /**
     * Get DTMFPartitionName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getDTMFPartitionName()
    {
        return $this->DTMFPartitionName;
    }
    /**
     * Set DTMFPartitionName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $dTMFPartitionName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XMobility
     */
    public function setDTMFPartitionName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $dTMFPartitionName = null)
    {
        $this->DTMFPartitionName = $dTMFPartitionName;
        return $this;
    }
}
